"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Hash32HexString = void 0;
const graphql_1 = require("graphql");
exports.Hash32HexString = new graphql_1.GraphQLScalarType({
    name: 'Hash32HexString',
    description: 'Hex encoded hash32 string, 64 characters',
    serialize(value) {
        return value.substring(2);
    },
    parseValue(value) {
        return validateInput(value);
    },
    parseLiteral(ast) {
        switch (ast.kind) {
            case graphql_1.Kind.STRING:
                return validateInput(ast.value);
        }
    }
});
function validateInput(input) {
    if (input.length !== 64 && input.length !== 56)
        throw new graphql_1.GraphQLError(`${input} is not a valid hash`);
    return `\\x${input}`;
}
//# sourceMappingURL=Hash32HexString.js.map